Bills

The endpoint for the Bills dataset, including all legislation available to your Quorum account.

Retrieve multiple bills based on search critera passed as GET Arguments

get/newbill/
Securityapi_key and username
Request
query Parameters
amendment_count
integer <int64>

NOTE: Parameter accepts additional qualifiers appended to the end:
amendment_count__in - The value for the record is in the provided array parameter (comma-separated values).
amendment_count__gt, amendment_count__gte, amendment_count__lt, amendment_count__lte - The value for the record is greater than/less than (or equal to) the provided parameter.
amendment_count__isnull - The value for the record is null (if true) or is not null.

bill_type
integer <int64>

NOTE: Parameter accepts additional qualifiers appended to the end:
bill_type__in - The value for the record is in the provided array parameter (comma-separated values).

See the Enumeration Documentation CSV file located at Quorum_API_Enumeration_Values.csv, name BillType, for an explanation of values.

Enum: 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 23 24 25 26 27 28 29 30 31 32 33 34 35 36 37 38 39 40
committees
Array of integers <int64>

The committees that are associated with this bill.

NOTE: Parameter accepts additional qualifiers appended to the end:
committees__overlaps - The value for the record has one or more values in common with the provided array parameter (comma-separated values).

current_general_status
integer <int64>

NOTE: Parameter accepts additional qualifiers appended to the end:
current_general_status__in - The value for the record is in the provided array parameter (comma-separated values).
current_general_status__isnull - The value for the record is null (if true) or is not null.

See the Enumeration Documentation CSV file located at Quorum_API_Enumeration_Values.csv, name GeneralBillStatus, for an explanation of values.

Enum: 1 2 3 4 5 6 7 8 9 10 11 12 13 14 101 102 103 104 105 106 107 108 109 110 111 112 113 114 115 116 117 118 119 120 130 131 140 141 142 143 150 151 152 160 161 162 170 171 172 180 181 182 183 184
current_status
integer <int64>

NOTE: Parameter accepts additional qualifiers appended to the end:
current_status__in - The value for the record is in the provided array parameter (comma-separated values).

See the Enumeration Documentation CSV file located at Quorum_API_Enumeration_Values.csv, name BillStatus, for an explanation of values.

Enum: 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 23 24 25 26 27 28 29 30 31 32 33 34 35 36 37 38 39 40 41 42 43 44 45 46 47 48 49 50 51 52 53 54 55 56 57 58 59 60 61 62 63 64 65 66 67 68 69 70 71 72 73 74 75 76 77 78 79 80 81 82 83 84 85 86 87 88 89 90 91 92 93 201 202 203 204 205 206 207 208 209 210 211 1000 1001 1002 1003 1004 1005 1006 1007 1008 1009 1010 1011 1012 1013 1014 1015 1016 1017 1018 1019 1020 1021 1022 1023 1024 1025 1026 1027 1028 1029 1030 1031 1032 1033 1034 1035 1036 1037 1038 1039 1040 1041 1042 1043 1044 1045 1046 1047 1048 1049 1050 1051 1052 1053 1054 1055 1056 1057 1058 1059 1060 1061 1062 1063 1064 1065 1066 1067 1068 1069 1070 1071 1072 1073 1074 1075 1076 1077 1078 1079 1080 1081 1082 1083 1084 1085 1086 1087 1088 1089 1090 1091 1092 1093 1094 1095 1096 1097 1098 1099 1100 1101 1102 1103 1104 1105 1106 1107 1108 1109 1110 1111 1112 1113 1114 1115 1116 1117 1118 1119 1120 1121 1122 1123 1124 1125 1126 1127 1128 1129 1130 1131 1132 1133 1134 1135 1136 1137 1138 1139 1140 1141 1142 1143 1144 1145 1146 1147 1148 1149 1150 1151 1152 1153 1154 1155 1156 1157 1158 1159 1160 1161 1162 1163 1164 1165 1166 1167 1168 1169 1170 1171 1172 1173 1174 1175 1176 1177 1178 1179 1180 1181 1182 1183 1184 1185 1186 1187 1188 1200 1201 1202 1203 1204 1205 1206 1207 1208 1209 1210 1300 1301 1302 1303 1304 1305 1306 1350 1351 1352 1353 1354 1355 1356 1357 1358 1359 1360 1361 1400 1401 1402 1403 1404 1405 1406 1407 1408 1409 1410 1420 1421 1430 1431 1432 1433 1434 1440 1441 1442 1450 1451 1452 1460 1461 1462 1463 1464
current_status_date
string <date-time>

NOTE: Parameter accepts additional qualifiers appended to the end:
current_status_date__year, current_status_date__month, current_status_date__day - The value for the record matches the provided year/month/day (note that week_day, hour, minute, and second are also available following similar patterns).

effective_date
string <date-time>

NOTE: Parameter accepts additional qualifiers appended to the end:
effective_date__year, effective_date__month, effective_date__day - The value for the record matches the provided year/month/day (note that week_day, hour, minute, and second are also available following similar patterns).

enacted_date
string <date-time>

NOTE: Parameter accepts additional qualifiers appended to the end:
enacted_date__year, enacted_date__month, enacted_date__day - The value for the record matches the provided year/month/day (note that week_day, hour, minute, and second are also available following similar patterns).

fts_index
string
id
integer <int64>

Quorum ID (Primary Key)

introduced_date
string <date-time>

NOTE: Parameter accepts additional qualifiers appended to the end:
introduced_date__year, introduced_date__month, introduced_date__day - The value for the record matches the provided year/month/day (note that week_day, hour, minute, and second are also available following similar patterns).

is_vetoed
boolean
label
string

NOTE: Parameter accepts additional qualifiers appended to the end:
label__in - The value for the record is in the provided array parameter (comma-separated values).
label__contains, label__icontains - The value for the record contains the string provided as a parameter within it (partial match). (Use 'icontains' for matching to be done case-insensitive)
label__startswith, label__istartswith - The value for the record starts with the string provided as a parameter. (Use 'istartswith' for matching to be done case-insensitive)
label__endswith, label__iendswith - The value for the record ends with the string provided as a parameter within it (partial match). (Use 'iendswith' for matching to be done case-insensitive)
label__iexact - The value for the record is a case-insensitive exact match to the provided parameter.
label__isnull - The value for the record is null (if true) or is not null.

language
integer <int64>

NOTE: Parameter accepts additional qualifiers appended to the end:
language__in - The value for the record is in the provided array parameter (comma-separated values).

See the Enumeration Documentation CSV file located at Quorum_API_Enumeration_Values.csv, name BillLanguage, for an explanation of values.

Enum: 1 2 3 4 5 6
most_recent_action_date
string <date-time>

NOTE: Parameter accepts additional qualifiers appended to the end:
most_recent_action_date__year, most_recent_action_date__month, most_recent_action_date__day - The value for the record matches the provided year/month/day (note that week_day, hour, minute, and second are also available following similar patterns).

num_committees
integer <int64>

NOTE: Parameter accepts additional qualifiers appended to the end:
num_committees__in - The value for the record is in the provided array parameter (comma-separated values).
num_committees__gt, num_committees__gte, num_committees__lt, num_committees__lte - The value for the record is greater than/less than (or equal to) the provided parameter.
num_committees__isnull - The value for the record is null (if true) or is not null.

num_cosponsors
integer <int64>

NOTE: Parameter accepts additional qualifiers appended to the end:
num_cosponsors__in - The value for the record is in the provided array parameter (comma-separated values).
num_cosponsors__gt, num_cosponsors__gte, num_cosponsors__lt, num_cosponsors__lte - The value for the record is greater than/less than (or equal to) the provided parameter.

num_democrat_cosponsors
integer <int64>

NOTE: Parameter accepts additional qualifiers appended to the end:
num_democrat_cosponsors__in - The value for the record is in the provided array parameter (comma-separated values).
num_democrat_cosponsors__gt, num_democrat_cosponsors__gte, num_democrat_cosponsors__lt, num_democrat_cosponsors__lte - The value for the record is greater than/less than (or equal to) the provided parameter.
num_democrat_cosponsors__isnull - The value for the record is null (if true) or is not null.

num_female_cosponsors
integer <int64>

NOTE: Parameter accepts additional qualifiers appended to the end:
num_female_cosponsors__in - The value for the record is in the provided array parameter (comma-separated values).
num_female_cosponsors__gt, num_female_cosponsors__gte, num_female_cosponsors__lt, num_female_cosponsors__lte - The value for the record is greater than/less than (or equal to) the provided parameter.
num_female_cosponsors__isnull - The value for the record is null (if true) or is not null.

num_independent_cosponsors
integer <int64>

NOTE: Parameter accepts additional qualifiers appended to the end:
num_independent_cosponsors__in - The value for the record is in the provided array parameter (comma-separated values).
num_independent_cosponsors__gt, num_independent_cosponsors__gte, num_independent_cosponsors__lt, num_independent_cosponsors__lte - The value for the record is greater than/less than (or equal to) the provided parameter.
num_independent_cosponsors__isnull - The value for the record is null (if true) or is not null.

num_male_cosponsors
integer <int64>

NOTE: Parameter accepts additional qualifiers appended to the end:
num_male_cosponsors__in - The value for the record is in the provided array parameter (comma-separated values).
num_male_cosponsors__gt, num_male_cosponsors__gte, num_male_cosponsors__lt, num_male_cosponsors__lte - The value for the record is greater than/less than (or equal to) the provided parameter.
num_male_cosponsors__isnull - The value for the record is null (if true) or is not null.

num_republican_cosponsors
integer <int64>

NOTE: Parameter accepts additional qualifiers appended to the end:
num_republican_cosponsors__in - The value for the record is in the provided array parameter (comma-separated values).
num_republican_cosponsors__gt, num_republican_cosponsors__gte, num_republican_cosponsors__lt, num_republican_cosponsors__lte - The value for the record is greater than/less than (or equal to) the provided parameter.
num_republican_cosponsors__isnull - The value for the record is null (if true) or is not null.

number
integer <int64>

NOTE: Parameter accepts additional qualifiers appended to the end:
number__in - The value for the record is in the provided array parameter (comma-separated values).
number__gt, number__gte, number__lt, number__lte - The value for the record is greater than/less than (or equal to) the provided parameter.

primary_party
integer <int64>

NOTE: Parameter accepts additional qualifiers appended to the end:
primary_party__in - The value for the record is in the provided array parameter (comma-separated values).
primary_party__isnull - The value for the record is null (if true) or is not null.

See the Enumeration Documentation CSV file located at Quorum_API_Enumeration_Values.csv, name Party, for an explanation of values.

Enum: 0 1 2 3 4 5 6 7 8 10 11 12 13 14 15 16 17 18 19 20 21 22 23 24
region
integer <int64>

NOTE: Parameter accepts additional qualifiers appended to the end:
region__in - The value for the record is in the provided array parameter (comma-separated values).

See the Enumeration Documentation CSV file located at Quorum_API_Enumeration_Values.csv, name Region, for an explanation of values.

Enum: 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 23 24 25 26 27 28 29 30 31 32 33 34 35 36 37 38 39 40 41 42 43 44 45 46 47 48 49 50 51 52 53 54 55 56 57 58 59 60 61 62 63 64 65 66 67 68 69 70 71 72 73 74 75 76 77 78 79 80 81 82 83 84 85 86 87 88 89 90 91 92 93 94 95 96 97 98 99 100 101 102 103 104 105 106 107 108 109 110 200 201 202 203 204 205 206 207 208 209 210 211 212 213 214 215 216 217 218 219 220 221 222 223 224 225 226 227 228 229 230 231 232 233 234 235 236 237 238 239 240 241 242 1000
session_id
integer <int64>

The legsession with which this bill is associated.

NOTE: Parameter accepts additional qualifiers appended to the end:
session__in - The value for the record is in the provided array parameter (comma-separated values).
session__isnull - The value for the record is null (if true) or is not null.

sponsor_id
integer <int64>

The newperson with which this bill is associated.

NOTE: Parameter accepts additional qualifiers appended to the end:
sponsor__in - The value for the record is in the provided array parameter (comma-separated values).
sponsor__isnull - The value for the record is null (if true) or is not null.

sponsors
Array of integers <int64>

The newsponsors that are associated with this bill.

NOTE: Parameter accepts additional qualifiers appended to the end:
sponsors__overlaps - The value for the record has one or more values in common with the provided array parameter (comma-separated values).

terms
Array of integers <int64>

The billterms that are associated with this bill.

NOTE: Parameter accepts additional qualifiers appended to the end:
terms__overlaps - The value for the record has one or more values in common with the provided array parameter (comma-separated values).

title
string

NOTE: Parameter accepts additional qualifiers appended to the end:
title__in - The value for the record is in the provided array parameter (comma-separated values).
title__contains, title__icontains - The value for the record contains the string provided as a parameter within it (partial match). (Use 'icontains' for matching to be done case-insensitive)
title__startswith, title__istartswith - The value for the record starts with the string provided as a parameter. (Use 'istartswith' for matching to be done case-insensitive)
title__endswith, title__iendswith - The value for the record ends with the string provided as a parameter within it (partial match). (Use 'iendswith' for matching to be done case-insensitive)
title__iexact - The value for the record is a case-insensitive exact match to the provided parameter.

updated
string <date-time>

NOTE: Parameter accepts additional qualifiers appended to the end:
updated__year, updated__month, updated__day - The value for the record matches the provided year/month/day (note that week_day, hour, minute, and second are also available following similar patterns).

veto_date
string <date-time>

NOTE: Parameter accepts additional qualifiers appended to the end:
veto_date__year, veto_date__month, veto_date__day - The value for the record matches the provided year/month/day (note that week_day, hour, minute, and second are also available following similar patterns).

vote_count
integer <int64>

NOTE: Parameter accepts additional qualifiers appended to the end:
vote_count__in - The value for the record is in the provided array parameter (comma-separated values).
vote_count__gt, vote_count__gte, vote_count__lt, vote_count__lte - The value for the record is greater than/less than (or equal to) the provided parameter.
vote_count__isnull - The value for the record is null (if true) or is not null.

word_count
integer <int64>

NOTE: Parameter accepts additional qualifiers appended to the end:
word_count__in - The value for the record is in the provided array parameter (comma-separated values).
word_count__gt, word_count__gte, word_count__lt, word_count__lte - The value for the record is greater than/less than (or equal to) the provided parameter.
word_count__isnull - The value for the record is null (if true) or is not null.

years_of_consideration
Array of integers <int64>
dehydrate
Array of strings

Option to provide additional detail for certain fields, either by expanding those fields with additional details from the related model or by substituting more informative values for the actual database values.
display_status - expand display_status with additional details.
effective_date - expand effective_date with additional details.
effective_date_rule_code - expand effective_date_rule_code with additional details.
effective_date_source - expand effective_date_source with additional details.
enacted_date - expand enacted_date with additional details.
executive - expand executive with additional details.
is_vetoed - expand is_vetoed with additional details.
major_actions - expand major_actions with additional details.
organization_nominated_to - expand organization_nominated_to with additional details.
resource_uri - expand resource_uri with additional details.
snippets - expand snippets with additional details.
sponsor_name - expand sponsor_name with additional details.
status_actions - expand status_actions with additional details.
veto_date - expand veto_date with additional details.
veto_type - expand veto_type with additional details.
NOTE: This parameter can accept one or more comma-separated values; it is not limited to a single value.

Items Enum: "display_status" "effective_date" "effective_date_rule_code" "effective_date_source" "enacted_date" "executive" "is_vetoed" "major_actions" "organization_nominated_to" "resource_uri" "snippets" "sponsor_name" "status_actions" "veto_date" "veto_type"
dehydrate_extra
Array of strings

Option to provide additional detail for certain fields, either by expanding those fields with additional details from the related model or by substituting more informative values for the actual database values.sponsors - expand sponsors with additional details.
NOTE: This parameter can accept one or more comma-separated values; it is not limited to a single value.

Items Value: "sponsors"
advanced_search
string

Perform an advanced text search on the datset with the provided text. This search will use the most comprehensive search method available on the requested endpoint, but can take slightly longer to return results.

quick_search
string

Perform an quick text search on the datset with the provided text. This search method may, depending on the endpoint, be exactly identical to advanced search, or may return results significantly more quickly but with less completeness or accuracy, for example by searching less fields, or using a faster algorithm to identify matches that has a greater propensity for false positives/false negatives.

limit
integer <int64>
Default: 20

The number of records to return (for pagination).

offset
integer <int64>
Default: 0

The number of records to offset the start of the data being returned (for pagination).

Responses
200

NewBill retrieved successfully

400

improperly configured request

401

authorization failure

500

internal server error

Response samples
application/json
{
  • "_extra": { },
  • "achieved_general_statuses": [
    ],
  • "bill_type": 1,
  • "current_general_status": 1,
  • "current_status": 3,
  • "current_status_date": "2019-08-24T14:15:22Z",
  • "current_status_text": "string",
  • "display_status": "string",
  • "draft_number": 0,
  • "effective_date": "2019-08-24T14:15:22Z",
  • "effective_date_rule_code": "string",
  • "effective_date_source": 1,
  • "enacted_date": "2019-08-24T14:15:22Z",
  • "executive": "/api/newperson/1/",
  • "id": 0,
  • "introduced_date": "2019-08-24T14:15:22Z",
  • "is_approps": false,
  • "is_vetoed": false,
  • "label": "string",
  • "language": 1,
  • "last_action_text": "string",
  • "last_user_relevant_update": "2019-08-24T14:15:22Z",
  • "most_recent_action_date": "2019-08-24T14:15:22Z",
  • "num_democrat_cosponsors": 0,
  • "num_female_cosponsors": 0,
  • "num_independent_cosponsors": 0,
  • "num_male_cosponsors": 0,
  • "num_republican_cosponsors": 0,
  • "number": 0,
  • "organization_nominated_to": "/api/publicorganization/1/",
  • "procedure_code": "string",
  • "public_law_number": "string",
  • "region": 1,
  • "resource_uri": "string",
  • "session": "/api/legsession/1/",
  • "slug": "string",
  • "snippets": [
    ],
  • "source_link": "string",
  • "sponsor_name": "string",
  • "sponsors": "/api/newsponsor/1/",
  • "status_actions": [
    ],
  • "title": "string",
  • "updated": "2019-08-24T14:15:22Z",
  • "veto_date": "2019-08-24T14:15:22Z",
  • "veto_type": 1
}

Retrieve information on a single Bill

get/newbill/{id}/
Securityapi_key and username
Request
path Parameters
id
required
integer <int64>

Quorum ID (Primary Key)

query Parameters
dehydrate
Array of strings

Option to provide additional detail for certain fields, either by expanding those fields with additional details from the related model or by substituting more informative values for the actual database values.
display_status - expand display_status with additional details.
effective_date - expand effective_date with additional details.
effective_date_rule_code - expand effective_date_rule_code with additional details.
effective_date_source - expand effective_date_source with additional details.
enacted_date - expand enacted_date with additional details.
executive - expand executive with additional details.
is_vetoed - expand is_vetoed with additional details.
major_actions - expand major_actions with additional details.
organization_nominated_to - expand organization_nominated_to with additional details.
resource_uri - expand resource_uri with additional details.
snippets - expand snippets with additional details.
sponsor_name - expand sponsor_name with additional details.
status_actions - expand status_actions with additional details.
veto_date - expand veto_date with additional details.
veto_type - expand veto_type with additional details.
NOTE: This parameter can accept one or more comma-separated values; it is not limited to a single value.

Items Enum: "display_status" "effective_date" "effective_date_rule_code" "effective_date_source" "enacted_date" "executive" "is_vetoed" "major_actions" "organization_nominated_to" "resource_uri" "snippets" "sponsor_name" "status_actions" "veto_date" "veto_type"
dehydrate_extra
Array of strings

Option to provide additional detail for certain fields, either by expanding those fields with additional details from the related model or by substituting more informative values for the actual database values.sponsors - expand sponsors with additional details.
NOTE: This parameter can accept one or more comma-separated values; it is not limited to a single value.

Items Value: "sponsors"
Responses
200

NewBill retrieved successfully

400

improperly configured request

401

authorization failure

500

internal server error

Response samples
application/json
{
  • "_extra": { },
  • "achieved_general_statuses": [
    ],
  • "bill_type": 1,
  • "current_general_status": 1,
  • "current_status": 3,
  • "current_status_date": "2019-08-24T14:15:22Z",
  • "current_status_text": "string",
  • "display_status": "string",
  • "draft_number": 0,
  • "effective_date": "2019-08-24T14:15:22Z",
  • "effective_date_rule_code": "string",
  • "effective_date_source": 1,
  • "enacted_date": "2019-08-24T14:15:22Z",
  • "executive": "/api/newperson/1/",
  • "id": 0,
  • "introduced_date": "2019-08-24T14:15:22Z",
  • "is_approps": false,
  • "is_vetoed": false,
  • "label": "string",
  • "language": 1,
  • "last_action_text": "string",
  • "last_user_relevant_update": "2019-08-24T14:15:22Z",
  • "most_recent_action_date": "2019-08-24T14:15:22Z",
  • "num_democrat_cosponsors": 0,
  • "num_female_cosponsors": 0,
  • "num_independent_cosponsors": 0,
  • "num_male_cosponsors": 0,
  • "num_republican_cosponsors": 0,
  • "number": 0,
  • "organization_nominated_to": "/api/publicorganization/1/",
  • "procedure_code": "string",
  • "public_law_number": "string",
  • "region": 1,
  • "resource_uri": "string",
  • "session": "/api/legsession/1/",
  • "slug": "string",
  • "snippets": [
    ],
  • "source_link": "string",
  • "sponsor_name": "string",
  • "sponsors": "/api/newsponsor/1/",
  • "status_actions": [
    ],
  • "title": "string",
  • "updated": "2019-08-24T14:15:22Z",
  • "veto_date": "2019-08-24T14:15:22Z",
  • "veto_type": 1
}